# LibraryAliasBuilder

interface LibraryAliasBuilder

Allows configuring the version of a library

#### Since

7.0

## Functions

version
Link copied to clipboard
abstract fun version(version: String)
Configures the required version for this alias
abstract fun version(versionSpec: Action<in MutableVersionConstraint>)
Configures the version for this alias
versionRef
Link copied to clipboard
abstract fun versionRef(versionRef: String)
Configures this alias to use a version reference, created via the version method.
withoutVersion
Link copied to clipboard
abstract fun withoutVersion()
Do not associate this alias to a particular version, in which case the dependency notation will just have group and artifact.